1. Files
Commusoft developer
  • Introduction
    • Introduction
    • Key concepts and relationships
    • Authentication
    • Rate-limits
    • Requests and responses
    • Core concepts and patterns
    • Support and technical support
  • CRM
    • Properties
      • List customer types
      • List properties
      • Properties
      • Customers
      • Companies
      • Work addresses
      • Customers
      • Companies
      • Work addresses
      • Properties
    • Contacts
      • List property contacts
      • Property contacts
      • Property contacts
      • Property contacts
    • Assets
      • Understanding assets
      • List asset groups
      • List asset types
      • Asset structure
      • Assets dynamic fields
      • List assets
      • Assets
      • Assets
      • Assets
      • Assets
    • Scheduled activities
      • List scheduled activities
      • Scheduled activities
      • Scheduled activities
      • Complete Scheduled Activity
      • Scheduled activities
    • Files
      • List files
        GET
      • File tags
        GET
      • Files
        POST
      • Files
        DELETE
    • Search
      GET
  • Sales
    • Opportunities
      • List opportunity pipelines
      • List opportunity stages
      • List opportunities
      • Opportunities
      • Opportunity tags
      • Opportunities
      • Opportunities
      • Opportunities
    • Actions
      • Change opportunity stage
  • Jobs
    • Jobs
      • List job description templates
      • List jobs
      • Jobs
      • Jobs
      • Jobs
      • Jobs
    • Actions
      • Change job stage
      • Put on hold
      • Remove on hold
      • Mark as complete
      • Mark as uncompleted
      • Mark as free of charge
      • Mark as aborted
    • Forms
      • List forms
  • Schedule & dispatch
    • Appointments
      • List Appointments
      • Appointments
      • Appointments feedbacks
      • Appointments
      • Appointments
    • Sugested Appointments
      • Suggested Appointments
  • Users & Vehicles
    • Users
      • List users
  • Settings
    • List titles
    • List advertising types
    • List telephone types
    • List business units
    • List user groups
    • List provinces
  • Webhooks
    • Webhooks
    • Example PHP script
  1. Files

Files

POST
/files
You can save a file against a property, opportunity or job and it'll show in the relevant timeline or files tab in Commusoft. Please note as you are esnding a file you will need to change the body request to form-data rather than JSON.

Request

Body Params multipart/form-dataRequired

Responses

🟢200Success
application/json
Bodyapplication/json

🟠401401 Unauthorised
🟠403403 Forbidden
🟠404404 Not found
🟠409409 Conflict
🟠429429 Too many requests
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/files' \
--form 'url="https://randomimageurl.com/assets/images/local/sample-2_compressed_q80.jpeg"' \
--form 'parentType="opportunity"' \
--form 'parentID="1347"' \
--form 'fileName="sample-2_compressed_q80.jpeg"' \
--form 'type="jpeg"' \
--form 'sharedOnMobile="true"' \
--form 'shareOnCustomerPortal="false"'
Response Response Example
200 - Example 1
{
    "id": 0,
    "createdByType": "string",
    "createdByID": 0,
    "createdByUser": "string",
    "createdOnDateTime": "2019-08-24T14:15:22.123Z",
    "lastUpdatedOnDateTime": "2019-08-24T14:15:22.123Z",
    "parentType": "property",
    "parentID": 0,
    "fileName": "string",
    "size": 0,
    "type": "string",
    "sharedOnMobile": true,
    "shareOnCustomerPortal": true,
    "tags": [
        {
            "id": 0,
            "tagName": "string"
        }
    ],
    "url": "string"
}
Modified at 2026-10-30 07:29:15
Previous
File tags
Next
Files
Built with